Debian Bug report logs - #222168
The linux-kernel-headers package requires a patch to dpkg-cross

version graph

Package: dpkg-cross; Maintainer for dpkg-cross is Debian Embedded Group <debian-embedded@lists.debian.org>; Source for dpkg-cross is src:dpkg-cross.

Reported by: John Zaitseff <J.Zaitseff@zap.org.au>

Date: Tue, 25 Nov 2003 23:03:05 UTC

Severity: serious

Found in version 1.14

Fixed in version dpkg-cross/1.15

Done: David Schleef <ds@schleef.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, David Schleef <ds@schleef.org>:
Bug#222168; Package dpkg-cross. Full text and rfc822 format available.

Acknowledgement sent to John Zaitseff <J.Zaitseff@zap.org.au>:
New Bug report received and forwarded. Copy sent to David Schleef <ds@schleef.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: John Zaitseff <J.Zaitseff@zap.org.au>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: The linux-kernel-headers package requires a patch to dpkg-cross
Date: Wed, 26 Nov 2003 09:50:33 +1100
Package: dpkg-cross
Version: 1.14

The dpkg-cross script requires the following patch to successfully process
the linux-kernel-headers package that is now in Debian unstable (sid).
The reason linux-kernel-headers is required for cross-compilation is that
libc6-dev now requires that package.

Please note the following:

* linux-kernel-headers only contains files destined for /usr/include/linux,
  /usr/include/asm and /usr/include/asm-generic.
* The code for handling this was already in the dpkg-cross script, but was
  commented out.  I do not have any idea if uncommenting this code causes
  problems elsewhere!  So far I have not had any...

Yours truly,

John Zaitseff


--- dpkg-cross.orig	2003-10-02 07:15:40.000000000 +1000
+++ dpkg-cross	2003-11-25 16:43:35.000000000 +1100
@@ -1,6 +1,7 @@
 #!/usr/bin/perl
 #
 # dpkg-cross -- manage libraries for cross compiling
+# [JNZ] Modified 25-Nov-2003
 #
 # Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>, 4 Feb 97
 # This is free software; see the GNU General Public Licence
@@ -461,7 +467,7 @@
 		print "rename(\"$tmpdir/$file\",\"$dtmp/$newfile\");\n";
 		rename("$tmpdir/$file","$dtmp/$newfile");
 	}
-	if(0){
+
 	foreach $dir ( @incdirs ) {
 		my( @incfiles );
 		-d "$tmpdir/$dir" || next;
@@ -492,7 +498,6 @@
 			}
 		}
 	}
-	}
 
 	if (@files == 0) {
 		print "$progname: package $pkg_package doesn't provide any useful ".


-- 
John Zaitseff                    ,--_|\    The ZAP Group
Phone:  +61 2 9543 6448         /      \   Sydney, Australia
E-mail: J.Zaitseff@zap.org.au   \_,--._*   http://www.zap.org.au/
Finger: john@zap.org.au               v
GnuPG   fingerprint:  8FD2 8962 7768 2546 FE07  DE7C 61A8 4486 C9A6 69B0



Information forwarded to debian-bugs-dist@lists.debian.org, David Schleef <ds@schleef.org>:
Bug#222168; Package dpkg-cross. Full text and rfc822 format available.

Acknowledgement sent to "Martin-�ric Racine" <q-funk@pp.fishpool.fi>:
Extra info received and forwarded to list. Copy sent to David Schleef <ds@schleef.org>. Full text and rfc822 format available.

Message #10 received at 222168@bugs.debian.org (full text, mbox):

From: "Martin-Ãric Racine" <q-funk@pp.fishpool.fi>
To: Debian Bug Tracking System <222168@bugs.debian.org>
Subject: dpkg-cross: patch very much needed, otherwise it breaks other packages
Date: Mon, 19 Apr 2004 15:26:19 +0300
Package: dpkg-cross
Version: 1.14
Severity: normal
Followup-For: Bug #222168

...among which, Debian's own cross-compiling tools:

* http://people.debian.org/~debacle/cross.html which refers to:
* http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=222168 

I can confirm that attempting to build tools failed as described in the first link above. What's your ETA on applying
the patch attched by the original submitter of this report and for releasing an updated package?


-- System Information:
Debian Release: testing/unstable
  APT prefers testing
  APT policy: (101, 'testing'), (99, 'unstable')
Architecture: powerpc (ppc)
Kernel: Linux 2.6.5-imac
Locale: LANG=fi_FI@euro, LC_CTYPE=fi_FI@euro

Versions of packages dpkg-cross depends on:
ii  dpkg-dev                      1.10.20    Package building tools for Debian
ii  perl [perl5]                  5.8.3-3    Larry Wall's Practical Extraction 

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, David Schleef <ds@schleef.org>:
Bug#222168; Package dpkg-cross. Full text and rfc822 format available.

Acknowledgement sent to "Nikita V. Youshchenko" <yoush@cs.msu.su>:
Extra info received and forwarded to list. Copy sent to David Schleef <ds@schleef.org>. Full text and rfc822 format available.

Message #15 received at 222168@bugs.debian.org (full text, mbox):

From: "Nikita V. Youshchenko" <yoush@cs.msu.su>
To: 222168@bugs.debian.org, 222168-submitter@bugs.debian.org
Subject: Re: The linux-kernel-headers package requires a patch to dpkg-cross
Date: Sat, 29 May 2004 00:12:30 +0400
Hello.

I doubt that uncommenting that (probably broken) code is the correct 
solution for this. The real cause of the bug is that elsewhere in the code, 
dpkg-cross rejects to build a package that contains only headers.

Anyway, this bug is fixed in the version of dpkg-cross available from 
http://zigzag.lvk.cs.msu.su/~nikita/debian/



Message sent on to John Zaitseff <J.Zaitseff@zap.org.au>:
Bug#222168. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, David Schleef <ds@schleef.org>:
Bug#222168; Package dpkg-cross. Full text and rfc822 format available.

Acknowledgement sent to Martin-Éric Racine <q-funk@pp.fishpool.fi>:
Extra info received and forwarded to list. Copy sent to David Schleef <ds@schleef.org>. Full text and rfc822 format available.

Message #23 received at 222168@bugs.debian.org (full text, mbox):

From: Martin-Éric Racine <q-funk@pp.fishpool.fi>
To: 222168@bugs.debian.org
Subject: must be fixed before Sarge release
Date: Tue, 1 Jun 2004 18:14:28 +0300 (EEST)
severity 222168 serious
thanks


-- 
Martin-Éric Racine, ICT Consultant
http://www.pp.fishpool.fi/~q-funk/




Severity set to `serious'. Request was from Martin-Éric Racine <q-funk@pp.fishpool.fi> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to David Schleef <ds@schleef.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to John Zaitseff <J.Zaitseff@zap.org.au>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #30 received at 222168-close@bugs.debian.org (full text, mbox):

From: David Schleef <ds@schleef.org>
To: 222168-close@bugs.debian.org
Subject: Bug#222168: fixed in dpkg-cross 1.15
Date: Mon, 14 Jun 2004 14:17:12 -0400
Source: dpkg-cross
Source-Version: 1.15

We believe that the bug you reported is fixed in the latest version of
dpkg-cross, which is due to be installed in the Debian FTP archive:

dpkg-cross_1.15.dsc
  to pool/main/d/dpkg-cross/dpkg-cross_1.15.dsc
dpkg-cross_1.15.tar.gz
  to pool/main/d/dpkg-cross/dpkg-cross_1.15.tar.gz
dpkg-cross_1.15_all.deb
  to pool/main/d/dpkg-cross/dpkg-cross_1.15_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 222168@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
David Schleef <ds@schleef.org> (supplier of updated dpkg-cross package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Fri, 11 Jun 2004 10:07:40 -0700
Source: dpkg-cross
Binary: dpkg-cross
Architecture: source all
Version: 1.15
Distribution: unstable
Urgency: low
Maintainer: David Schleef <ds@schleef.org>
Changed-By: David Schleef <ds@schleef.org>
Description: 
 dpkg-cross - Tools for cross compiling Debian packages
Closes: 139182 217547 221285 221646 221993 222168 228616 229241 230595 231511
Changes: 
 dpkg-cross (1.15) unstable; urgency=low
 .
   Changes were all done by Nikita V. Youshchenko <yoush@cs.msu.su>.
   Version numbers and changelog entries correspond to the packages
   hosted at his site, which is now completely merged.
 .
   * dpkg-cross.in: create /usr/share/doc/XXX directory in converted packages,
     and put a readme file there.
     - now each converted package always has an unique file, so situation
       described in #231511 is cleanly impossible. Closes: #231511.
   * dpkg-cross.in: accept -A|--convert-anyway option, that will make
     dpkg-cross to convert package even it does not provide any files useful for
     cross-compilation.
   * dpkg-cross.1: document -A option.
   * dpkg-shlibdeps.in: honour SHLIBSLOCALFILE and SUBSTVARSFILE environment
     variables as default locations for shlibs.local and substvars files.
 .
   1.14.7
 .
   * dpkg-cross.in: rewrite dpkg-cross -b procedure, using different logic.
     Now it first completely unpacks source deb, and only then decides what
     files to move or modify.
     Now it should not loose asm/arch symlink when processing
     linux-kernel-headers.
 .
   1.14.6
 .
   * debian/rules: move commands from binary-arch to binary-indep (everything
     built is architecture-independent)
   * debian/rules: don't run dh_strip and dh_shlibdeps - both are useless for
     this package
   * Implemented enhanced addition variable setting control, after some
     discussion with EmDebian people. See cross-compile(5) for more
     information. Note that the new format of this file is completely
     backward-compatable.
     Example of usage for EmDebian added as a comment to the default
     /etc/dpkg/cross-compile file.
   * Removed zlib1g-arm-cross.deb that was forgotten in the build directory
     of 1.14.5 version.
 .
   1.14.5
 .
   * dpkg-shlibdeps.in: fix shlibs.local handling. Now it doesn't try to use
     dpkg --search to find a library from the package being built.
     Closes: #221646.
   * dpkg-cross.in: fail with appropriate message on attempt to convert
     already-converted package.
 .
   1.14.4
 .
   * dpkg-buildpackage.in: set PATH in environment, not in MAKEFLAGS.
     Closes: #139182.
   * dpkg-buildpackage.in: when merging changes file, merge also Binary:
     and Description: fields, to handle the case when different sets of binary
     packages are built for different architectures. Closes: #221285.
 .
   1.14.3
 .
   * dpkg-cross.in: try to use fakeroot when building a package as user,
     issue a warning if fakeroot is not available. Closes: #221993.
   * debian/control: suggest fakeroot.
   * dpkg-buildpackage.in: don't ignore -uc. Closes: #217547.
 .
   1.14.2
 .
   * Fix dpkg-shlibdeps wrapper to handle shlibs with 'libxxx-vvv.so' sonames
     (needed e.g. for libdb4.2)
 .
   1.14.1
 .
   * Added /etc/dpkg/cross-compile options to handle non-library dependences
     better (Closes: #228616).
     Changed the patch a bit to remove complete dependency if one of
     alternatives is removed.
     Example: libssl depends on debconf | debconf-2.0; debconf is obviously not
     needed for cross-compile environment setup, so debconf is in removedeps,
     and other alternatives for the dependency will be discarded.
   * Detect .so files that are ldscripts, and fix paths there (Closes: #229241).
   * Supress error message from find when there are no pkgconfig files in the
     package.
   * Keep symlinks in pkgconfig directory
   * Don't print tons of junk when moving header files
   * Allow Architecture: all packages to be converted. There is a rationale to
     convert them sometimes (e.g. x-dev package that contains only headers)
   * Don't fail if resulting package contains headers only
     - dpkg-cross is now capable to process linux-kernel-headers
       (Closes: #230595, #222168)
   * Remove unused files and directories from source package. This makes
     package almost 10 times smaller :).
   * Really print error message if source file for dpkg-cross -b can't be
     opened.
Files: 
 386ace1cac79998e021509133d59adbb 495 utils extra dpkg-cross_1.15.dsc
 7ff6f3f1ec048fa83cc87fc559ae83bf 121437 utils extra dpkg-cross_1.15.tar.gz
 61d21229116ba8a1552eaade7a1eaa22 51374 utils extra dpkg-cross_1.15_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.4 (GNU/Linux)

iD8DBQFAy3ad2vJMr9bVSaoRAlf5AKCi5NC/avzTtKlpZxazDyNqh5fpBQCdExfL
MdWTNNY0A14GUZ6q7tfBCXw=
=cd1j
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 07:06:47 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.